/* 
 * This message is auto generated by ROS#. Please DO NOT modify.
 * Note:
 * - Comments from the original code will be written in their own line 
 * - Variable sized arrays will be initialized to array of size 0 
 * Please report any issues at 
 * <https://github.com/siemens/ros-sharp> 
 */

using Newtonsoft.Json;

using RosSharp.RosBridgeClient.MessageTypes.Sensor;

namespace RosSharp.RosBridgeClient.MessageTypes.PublishDataToUnity
{
    public class PepperCameraImage : Message
    {
        [JsonIgnore]
        public const string RosMessageName = "publish_data_to_unity/PepperCameraImage";

        //  Pepper camera images
        public CompressedImage image;
        //  Compressed image representing the camera output
        public ulong frame_num;
        //  Current frame in the data sequence
        public bool haggling;
        //  Bool for if the robot is haggling
        public double body_orient;
        //  euler y component for robot body orientation
        public double face_orient;
        //  euler y component for robot face orientation
        public ulong haggling_msg_stamp;
        //  original haggling msg's secs
        public bool haggler_status;
        //  Whether the robot is a buyer 

        public PepperCameraImage()
        {
            this.image = new CompressedImage();
            this.frame_num = 0;
            this.haggling = false;
            this.body_orient = 0.0;
            this.face_orient = 0.0;
            this.haggling_msg_stamp = 0;
            this.haggler_status = false;
        }

        public PepperCameraImage(CompressedImage image, ulong frame_num, bool haggling, double body_orient, double face_orient, ulong haggling_msg_stamp, bool haggler_status)
        {
            this.image = image;
            this.frame_num = frame_num;
            this.haggling = haggling;
            this.body_orient = body_orient;
            this.face_orient = face_orient;
            this.haggling_msg_stamp = haggling_msg_stamp;
            this.haggler_status = haggler_status;
        }
    }
}
